### Method

# RB RhythmDBQueryModel set_sort_order

#### Declaration [src]

    void
    rhythmdb_query_model_set_sort_order (
      RhythmDBQueryModel* model,
      GCompareDataFunc sort_func,
      gpointer sort_data,
      GDestroyNotify sort_data_destroy,
      gboolean sort_reverse
    )

#### Description [src]

Sets a new sort order on the model. This reorders the entries in the model to match the new sort order.

#### Parameters

`sort_func`

  Type: `GCompareDataFunc`

  New sort function.

`sort_data`

  Type: `gpointer`

  Data to pass to the new sort function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`sort_data_destroy`

  Type: `GDestroyNotify`

  Function to call to free the sort data.

`sort_reverse`

  Type: `gboolean`

  If `TRUE`, reverse the sort order.